use FindBin;
use lib "$FindBin::Bin/../lib/";
use Globals;
use CELEX;
use ConstraintSet;
use RecombinatorSet;

$confile = "./SomeConstraints";
($cons) = &ConstraintSet::from_text (
    &Globals::read_text ("$confile.txt")
    );


open (REC, "<Const.rec") or die "Couldn't open Const.rec";
my $recset = &RecombinatorSet::from_text (<REC>);
my $rec = $recset->get_recombinator_named ("Rec.0.50");

@constraints = $cons->get_all;
for my $i (1..5) {
    print "===================================\n";
    $mom = $constraints [rand $#constraints];
    $dad = $constraints [rand $#constraints];
    $kid = $mom->breed ($dad, $rec);
    print "MOM:  "; $mom->print;
    print "DAD:  "; $dad->print;
    print "KID:  "; $kid->print;
}
