use FindBin;
use lib "$FindBin::Bin/../lib";
use GJ2005jrFM;
use Constraint;

print "This is A:\n";
($A) = &Constraint::from_text (
  '-1 *CplxOns',
  '  [+MWd]',
  '    (- Prosodic Word -)',
  '      (- Syllable -)',
  '        [+Root]',
  '        [+Root]', 
  '        *+Root*'
    );
print "Unique id = " . $A->get_unique_id . "\n";
$A->print;
print "As flat string:\n";
print $A->to_flat_string;
print "\n";

print "This is A, reconstituted:\n";
($A_prime) = &Constraint::from_text ($A->to_text);
print "Unique id = " . $A_prime->get_unique_id . "\n";
$A_prime->print;


print "This is B:\n";
($B) = &Constraint::from_text (
  '-Onset',
  '  [+MWd]',
  '    (- Prosodic Word -)',
  '      (L Syllable -)',
  '        *+Root*'
    );

print "Unique id = " . $B->get_unique_id . "\n";
$B->print;
