use FindBin;
use lib "$FindBin::Bin/../lib/";
use GJ2005jrFM;
use MCat;

print "This is A\n";

($A) = &MCat::from_text (
    '[+MWd]',
    '  [+fem]',
    '  (- PrWd R)',
    '    (+<alpha> Syllable)',
    '    (L Syllable R)',
    '      *+Root*',
    '        [+Place]',
    '        [+Lar]',
    '          [+voiced]',
#    '[+MWd]',
#    '  (L PrWd R)',
#    '    (+<alpha> Syllable)',
#    '    *L Syllable R*',
#    '      [+Root]',
#    '        [+lateral]',
#    '      *+Root*',
#    '        [+Place]',
#    '          [+Dor]',
#    '            [+high]',
#    '            [+back]',
#    '        [+Lar]',
#    '          [+<beta> voiced]',
#    '    (L Syllable R)',
#    '      *+Root*',
#    '        [+<gamma> Place]',
#    '        [+Lar]',
#    '          [+voiced]',
);
$A->print;
print "As flat string:\n";
print $A->to_flat_string;
print "\n";


print "This is A, reconstituted:\n";
($A_prime) = &MCat::from_text ($A->to_text);
$A_prime->print;

print "This is B:";
($B) = &MCat::from_text (
    '[+MWd]',
    '  (- PrWd R)',
    '    *L Syllable R*',
    '      [+Root]',
    '        [+lateral]',
    '      *+Root*',
    '        [+Place]',
    '          [+Dor]',
    '            [+high]',
    '            [+back]',
    '        [+Lar]',
    '          [+voiced]',
    '    (L Syllable R)',
    '      *+Root*',
    '        [+Place]',
    '        [+Lar]',
    '          [+voiced]',
);
$B->print;
print "This is B, reconstituted:\n";
($B_prime) = &MCat::from_text ($B->to_text);
$B_prime->print;

print "Does B match in A?\n";
print $B->matches_in ($A);
print "\n";

print "Does B match in B?\n";
print $B->matches_in ($B);
print "\n";

print "Does A match in B?\n";
print $A->matches_in ($B);
print "\n";

