use CELEX;
use Stimulus;


($A) = &Stimulus::from_text (
    'Stimulus 1 1', 
    '  (L PrWd R)',
    '    (+<alpha> Syllable)',
    '    *L Syllable R*',
    '      [+Root]',
    '        [+lateral]',
    '      *+Root*',
    '        [+Place]',
    '          [+Dor]',
    '            [+high]',
    '            [+back]',
    '        [+Lar]',
    '          [+voiced]',
    '    (L Syllable R)',
    '      *+Root*',
    '        [+Place]',
    '        [+Lar]',
    '          [+voiced]',
    '  (L PrWd R)',
    '    (L Syllable R)',
    '      *+Root*',
    '        [+Place]',
    '        [+Lar]',
    '          [+voiced]',
    '    *L Syllable R*',
    '      [+Root]',
    '        [+lateral]',
    '      *+Root*',
    '        [+Place]',
    '          [+Dor]',
    '            [+high]',
    '            [+back]',
    '        [+Lar]',
    '          [-voiced]',
    );

$A->print;

($A_prime) = &Stimulus::from_text ($A->to_text);
$A_prime->print;

@stims = (
    "\'pIb",
    "\'tId",
    "\'kIg",
    "\'p{b",
    "\'t{d",
    "\'k{g",
    "\'pVb",
    "\'tVd",
    "\'kVg"
    );

for (@stims) {
    $S = new Stimulus (&CELEX::to_representation ($_), 1, 1);
    $S->print;
    print "\n";
}


