use UnaryFeature;
use UnaryFeatureVariable;
use IPA;

print "--- A ---\n";
($A) = &UnaryFeature::from_text (
"[+Place]",
"  [+Cor]",
"    [-ant]", 
"    [+<alpha> dist]",
"  [+Dor]", 
"    [-high]",
"    [-back]"
);
$A->print;

print "As flat string:\n";
print $A->to_flat_string;
print "\n";


($A_prime) = &UnaryFeature::from_text ($A->to_text);
$A_prime->print;


print "--- B ---\n";
($B) = &UnaryFeature::from_text (
"[+Place]",
"  [+<alpha> Lab]",
"  [+Cor]",
"    [+ant]", 
);
$B->print;


print "--- A+B ---\n";
$C = $A->breed ($B);
if (ref ($C) and $C->can ("print")) {
    $C->print;
} else {
    print "$C\n";
}
