#!/usr/bin/perl
########################################################################
#
#  test.align.pl
#
#  Test the routine in PrCat.pm that randomly aligns dependents of two
#  nodes.
#
#  E.  Moreton  *  UNC-Chapel Hill Linguistics  *  2010 May 6 (Th)
#
########################################################################

use FindBin;
use lib "$FindBin::Bin/../lib/";
use PrCat;

@A = (0, 1, 2);
@B = (0, 1, 2, 3, 4);

($aref, $bref) = &PrCat::align (0+@A, 0+@B);

@a = @$aref;
@b = @$bref;

for $i (0..$#a) {
    print "$A[$aref->[$i]]\t$B[$bref->[$i]]\n";
}
