use IPA;
use BinaryFeature;

# Nasal place assimilation (positive)
for ($IPA::PRWD->unanchored) {
    $_->put ($IPA::SYLL->right_anchored);
    $_->put ($IPA::Root->plus,
             $IPA::nas->plus,
             $IPA::Place->plus (alpha));
    $_->put ($IPA::SYLL->left_anchored);
    $_->put ($IPA::Root->plus,
             $IPA::cont->minus,
             $IPA::Place->plus (alpha));
    print "\\Tree ", $_->to_tree ('1in');
}

print "\\newpage\n\n";

# Agree-[high] (negative)
for ($IPA::PRWD->unanchored) {
    $_->put ($IPA::SYLL->unanchored);
    $_->put_head ($IPA::Root->plus,
                  $IPA::Place->plus,
                  $IPA::Dor->plus,
                  $IPA::high->plus (alpha)
        );
    $_->put ($IPA::SYLL->unanchored);
    $_->put_head ($IPA::Root->plus,
        $IPA::Place->plus,
        $IPA::Dor->plus,
        $IPA::high->minus (alpha)
        );
    print "\\Tree ", $_->to_tree ('1in');
}

print "\\newpage\n\n";

# FtForm = Iamb
for ($IPA::PRWD->double_anchored) {
    $_->put ($IPA::SYLL->double_anchored);
    $_->put_head ($IPA::SYLL->double_anchored);
    print "\\Tree ", $_->to_tree ('1in');
}
