use FindBin;
use lib "$FindBin::Bin/../lib/";
use BinaryFeature;
use BinaryFeatureVariable;
use GJ2005jr;

print "--- A ---\n";
($A, $is_head, $depth) 
    = &BinaryFeatureVariable::from_text ("[+<alpha> nasal]");
$A->print;

($A_prime, $depth, $is_head) = BinaryFeatureVariable::from_text (
    $A->to_text ($depth, $is_head));
$A_prime->print ($depth, $is_head);


print "--- B ---\n";
$B = (&BinaryFeatureVariable::from_text ("[-<beta> nasal]")) [0];
$B->print;

print "--- A+B ---\n";
$C = $A->breed ($B);
if (ref ($C) and $C->can ("print")) {
    $C->print;
} else {
    print "$C\n";
}
