use FindBin;
use lib "$FindBin::Bin/../lib";
use SHJ1961wug;
use Constraint;

print "This is A:\n";
($A) = &Constraint::from_text (
  '-Whatsit',
  '  [+Stimulus]',
  '    [+<alpha> wug]',
  '    (- Figure -)',
  '      [+Root]',
  '        [+big]'
    );
print "Unique id = " . $A->get_unique_id . "\n";
$A->print;
print "As flat string:\n";
print $A->to_flat_string;
print "\n";

print "This is A, reconstituted:\n";
($A_prime) = &Constraint::from_text ($A->to_text);
print "Unique id = " . $A_prime->get_unique_id . "\n";
$A_prime->print;


